module TuringHS.Parser where

import Control.Monad
import Data.Char
import Data.Maybe
import TuringHS.Operator

parse :: String -> [Operator]
parse = parseLine <=< lines
  where
    parseLine = takeJusts . fmap getOperator . stripSpaces
    stripSpaces = filter (not . isSpace)
    takeJusts = fmap fromJust . takeWhile isJust
